Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32848/?format=api
{ "ob_id": 32848, "uuid": "65bcd04dde2e4f8383a0cca4f69ac79e", "title": "UKCP18 Local Time-Mean Sea Level Projections for selected Tide Gauge Locations around the World", "abstract": "The UKCP18 worldwide sea level projections are provided for the tide gauge locations presented in Palmer et al (2020). They follow the same methods as the UK projections with the exceptions that make use of globally complete GIA estimates and a larger set of GRD fingerprints. The data consist of annual time series of the projected change in the time-mean coastal water level relative to the average value for the period 1986-2005, consistent with the IPCC Fifth Assessment Report (AR5) and the Special Report on the Ocean and Cryosphere in a Changing Climate. Projections are available for the RCP2.6, RCP4.5 and RCP8.5 climate change scenarios (Meinshausen et al, 2011). The 5th, 50th and 95th percentile projections are provided for the total sea level change and the individual components. Further details are available in Palmer et al (2020), which can be found in the documentation section.", "keywords": "UKCP18, climate, projections, global, marine, sea level, CMIP5, RCP", "publicationState": "published", "dataPublishedTime": "2021-07-09T11:41:59", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32849/?format=api", "dataPath": "/badc/ukcp18/data/marine-sim/worldwide-proj", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12614183, "numberOfFiles": 205, "fileFormat": "Data are NetCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9021/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data provided by the UK Met Office", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26015/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146736/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146724/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146725/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146726/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146727/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146728/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146729/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146723/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146735/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/32850/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }